bind join * "#fire-channels *" firechansonjoin

proc firechansonjoin {nick uhost hand chan} {
	global botnick
	if {[getaccount $nick] == "fireonlive"} {
		return 0
	}
	if {[getaccount $nick] == "eggdrop"} {
		return 0
	}

	if {$nick == "ChanServ"} {
		return 0
	}
	putquick "NOTICE $nick :one moment please..."
	putquick "INVITE $nick #0dayinitiative"
	putquick "INVITE $nick #afterdark"
	putquick "INVITE $nick #ai"
	putquick "INVITE $nick #archiveteam-twitter"
	putquick "INVITE $nick #datahoarders"
	putquick "INVITE $nick #fire-spam"
	putquick "INVITE $nick #fulldisclosure"
	putquick "INVITE $nick #hackernews"
	putquick "INVITE $nick #hackernews-firehose"
	putquick "INVITE $nick #infosec"
	putquick "INVITE $nick #intenttoship"
	putquick "INVITE $nick #m&a"
	putquick "INVITE $nick #memes"
	putquick "INVITE $nick #music"
	putquick "INVITE $nick #nanog"
	putquick "INVITE $nick #oss-security"
	putquick "INVITE $nick #pki"
	putquick "INVITE $nick #reddark"
	putquick "INVITE $nick #web3"
	putquick "KICK $chan $nick :check your invites!"
	newchanban $chan *!$uhost eggdrop "check your invites!" 1 sticky
}
